## org.apache.lucene.analysis.hi
Class HindiNormalizationFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.hi.HindiNormalizationFilter

All Implemented Interfaces:
  Closeable

    public final class HindiNormalizationFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that applies `HindiNormalizer` to normalize the orthography.

In some cases the normalization may cause unrelated terms to conflate, so to prevent terms from being normalized use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `HindiNormalizer`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`HindiNormalizationFilter(org.apache.lucene.analysis.TokenStream input)`

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HindiNormalizationFilter

    public HindiNormalizationFilter(org.apache.lucene.analysis.TokenStream input)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`